import { Map } from 'immutable';
import { createSelector } from 'reselect';

const getState = (state) => state;

export const getProfile = createSelector(
    [getState],
    (state) => state.get('profile'),
);

export const getNomDeBid = createSelector(
    [getProfile],
    (profile) => profile.get('nomDeBid'),
);

export const getProfileAvatarUrl = createSelector(
    [getProfile],
    (profile) => profile.get('avatar'),
);

export const isAllowedToBid = createSelector(
    [getProfile],
    (profile) => profile.get('isAllowedToBid'),
);
